Bug 753378 - Cannot boot DL380 G4 with P6i Smart Array unless USB is disabled in BIOS
Cannot boot DL380 G4 with P6i Smart Array unless USB is disabled in BIOS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 22:48 EST by Brady Clark
Modified: 2011-12-05 20:02 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-3.1.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-05 20:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from F16 Net Install CD boot into rescue mode (54.83 KB, application/octet-stream)
2011-11-11 22:48 EST, Brady Clark
no flags Details
dmesg from F15 Net Install CD boot into rescue mode (49.91 KB, application/octet-stream)
2011-11-11 22:49 EST, Brady Clark
no flags Details

  None (edit)
Description Brady Clark 2011-11-11 22:48:22 EST
Created attachment 533208 [details]
dmesg from F16 Net Install CD boot into rescue mode

Description of problem:
HP Proliant DL380 G4 with Smart Array P6i.  Has run Fedora 12-15 x86_64 with no problems and no special changes required to make hardware work.

The release kernel for Fedora 16 64-bit (3.1.0-7.fc16.x86_64) will not load the HP CCISS driver unless USB is disabled in the BIOS.  It insists on using IRQ 19 for cciss which reports an IRQ handler mismatch, I therefore see no boot devices and cannot install.  (Attempts have been from the F16 Net Install CD, as well as from the preupgrade I did from Fedora 15 after disabling USB in the BIOS).  F16 boots fine if USB is disabled in the BIOS.

My former Fedora 15 installation, as well as the F15 Net Install CD, boot fine and detect all hardware with everything enabled in the BIOS.  CCISS Fedora 15 uses IRQ 51 for the Smart Array.

Version-Release number of selected component (if applicable):
3.1.0-7.fc16.x86_64

How reproducible:
I do not have another DL380 G4 to test this with, but it has been 100% for any method of attempting to boot F16 on this machine.

Steps to Reproduce:
1. Enable USB in BIOS
2. Attempt to boot F16 by any method such as DVD or Net Install CD
3. Note that Smart Array P6i is not available to Anaconda, and that when you Alt-F2 and observe in dmesg that cciss attempts to use IRQ 19 and reports an IRQ handler mismatch and that it is unable to get IRQ 19 and fails.
  
Actual results:
If USB is enabled in the BIOS, Smart Array P6i is not available.

Expected results:
All hardware properly initialized.

Additional info:
Attached are a dmesg output from a boot of the F15 Net Install CD into rescue mode, showing all hardware properly initialized, and from a boot of the F16 Net Install CD into rescue mode showing the failure of cciss to initialize the Smart Array P6i.
Comment 1 Brady Clark 2011-11-11 22:49:38 EST
Created attachment 533209 [details]
dmesg from F15 Net Install CD boot into rescue mode
Comment 2 Chuck Ebbert 2011-11-29 08:08:28 EST
Will be fixed in the next update. (Same as bug 754907 in F15.)
Comment 3 Fedora Update System 2011-11-29 13:50:20 EST
kernel-3.1.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.4-1.fc16
Comment 4 Fedora Update System 2011-12-02 16:32:03 EST
Package kernel-3.1.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.4-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16645/kernel-3.1.4-1.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-12-05 20:02:13 EST
kernel-3.1.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.